%define oname	pycrypto
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so
%define _exclude_files_from_autoprov %{python3_sitearch}/.*\\.so

Summary:	Python interface to various crypto algorithms and protocols
Name:		python-%{oname}
Version:	2.6.1
Release:	%mkrel 2
Source0:	http://ftp.dlitz.net/pub/dlitz/crypto/pycrypto/%{oname}-%{version}.tar.gz
Source1:	http://ftp.dlitz.net/pub/dlitz/crypto/pycrypto/%{oname}-%{version}.tar.gz.asc
Patch0:		pycrypto-libm.patch
License:	Public Domain
Group:		Development/Python
URL:		http://www.pycrypto.org
BuildRequires:	python-devel >= 2.2
BuildRequires:	gmp-devel
Obsoletes:	pycrypto =< %{version}-%{release}
Provides:	pycrypto = %{version}-%{release}

%description
The Toolkit is a collection of cryptographic algorithms and protocols,
implemented for use from Python. Among the contents of the package:

 * Hash functions: MD2, MD4, RIPEMD.
 * Block encryption algorithms: AES, ARC2, Blowfish, CAST, DES, Triple-
   DES, IDEA, RC5.
 * Stream encryption algorithms: ARC4, simple XOR.
 * Public-key algorithms: RSA, DSA, ElGamal, qNEW.
 * Protocols: All-or-nothing transforms, chaffing/winnowing.
 * Miscellaneous: RFC1751 module for converting 128-key keys into a set
   of English words, primality testing.
 * Some demo programs (currently all quite old and outdated).

%package -n python3-%{oname}
Summary:	Python 3 interface to various crypto algorithms and protocols
Group:		Development/Python

BuildRequires:	pkgconfig(python3)
BuildRequires:	python-tools

%description -n python3-%{oname}
PyCrypto is a collection of both secure hash functions (such as MD5 and
SHA), and various encryption algorithms (AES, DES, RSA, ElGamal, etc.).

This is the Python 3 build of the package.

%prep
%setup -q -n %{oname}-%{version}
%patch0 -p0 -b .libm
perl -pi -e 's|/usr/local/bin/|%{_bindir}/|' Util/RFC1751.py 
cp -a . %{py3dir}


%build
CFLAGS="%{optflags}" %{__python} setup.py build
pushd %{py3dir}
CFLAGS="%{optflags}" %{__python3} setup.py build
popd

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

# Remove group write permissions on shared objects
find %{buildroot}%{python_sitearch} -name '*.so' -exec chmod -c g-w {} \;

pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
popd
find %{buildroot}%{python3_sitearch} -name '*.so' -exec chmod -c g-w {} \;

%check
%{__python} setup.py test

pushd %{py3dir}
%{__python3} setup.py test
popd

%files
%doc ChangeLog README COPYRIGHT TODO
%{python_sitearch}/Crypto/
%{python_sitearch}/*.egg-info

%files -n python3-%{oname}
%doc ChangeLog README COPYRIGHT TODO
%{python3_sitearch}/Crypto/
%{python3_sitearch}/*.egg-info



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 2.6.1-2.mga4
+ Revision: 544070
- Mageia 4 Mass Rebuild

* Fri Oct 18 2013 oden <oden> 2.6.1-1.mga4
+ Revision: 509151
- 2.6.1 (fixes CVE-2013-1445)

* Tue Oct 15 2013 pterjan <pterjan> 2.6-4.mga4
+ Revision: 499167
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Sep 01 2013 philippem <philippem> 2.6-3.mga4
+ Revision: 474109
- add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 2.6-2.mga3
+ Revision: 379314
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 08 2012 philippem <philippem> 2.6-1.mga3
+ Revision: 290180
- New upstream release 2.6

* Fri Jul 27 2012 luigiwalser <luigiwalser> 2.3-3.mga3
+ Revision: 274978
- add patch to fix CVE-2012-2417 (from suse via mdv)

* Thu Jan 20 2011 erwan <erwan> 2.3-2.mga1
+ Revision: 27202
- Fixing libm inclusion during fastmath compilation
- imported package python-pycrypto

